<?php

namespace App\ViewModels\ChameFacil\ChameFacilSenhaResgistrationViewModel;

use App\Utils\Entity;

class ChameFacilSenhaRegistrationViewModel extends Entity {
	protected $id;
	protected $id_senha;
	protected $id_filainterna;
	protected $id_tutor;
	protected $id_pet;
	protected $id_requisicao;
	protected $id_procedimento;
	protected $id_tipo_convenio;
	protected $id_unidade;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $operacao;
	protected $setor;

	public static function builder(): ChameFacilSenhaRegistrationViewModelBuilder {

		return new ChameFacilSenhaRegistrationViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdSenha() {

		return $this->id_senha;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdFilaInterna() {

		return $this->id_filainterna;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdTutor() {

		return $this->id_tutor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdPet() {

		return $this->id_pet;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdRequisicao() {

		return $this->id_requisicao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdProcedimento() {

		return $this->id_procedimento;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdTipoConvenio() {

		return $this->id_tipo_convenio;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->id_unidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->data_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->hora_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getOperacao() {

		return $this->operacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getSetor() {

		return $this->setor;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {
		
		$this->id = $id;
		
	}
	
	/**
	 *
	 * @param mixed $id_senha
	 */
	public function setIdSenha($id_senha) {
		
		$this->id_senha = $id_senha;
		
	}
	
	/**
	 *
	 * @param mixed $id_filainterna
	 */
	public function setIdFilaInterna($id_filainterna) {
		
		$this->id_filainterna = $id_filainterna;
		
	}
	
	/**
	 *
	 * @param mixed $id_tutor
	 */
	public function setIdTutor($id_tutor) {
		
		$this->id_tutor = $id_tutor;
		
	}
	
	/**
	 *
	 * @param mixed $id_pet
	 */
	public function setIdPet($id_pet) {
		
		$this->id_pet = $id_pet;
		
	}
	
	/**
	 *
	 * @param mixed $id_requisicao
	 */
	public function setIdRequisicao($id_requisicao) {
		
		$this->id_requisicao = $id_requisicao;
		
	}
	
	/**
	 *
	 * @param mixed $id_procedimento
	 */
	public function setIdProcedimento($id_procedimento) {
		
		$this->id_procedimento = $id_procedimento;
		
	}
	
	/**
	 *
	 * @param mixed $id_tipo_convenio
	 */
	public function setIdTipoConvenio($id_tipo_convenio) {
		
		$this->id_tipo_convenio = $id_tipo_convenio;
		
	}
	
	/**
	 *
	 * @param mixed $id_unidade
	 */
	public function setIdUnidade($id_unidade) {
		
		$this->id_unidade = $id_unidade;
		
	}
	
	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por) {
		
		$this->criado_por = $criado_por;
		
	}
	
	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {
		
		$this->data_criacao = $data_criacao;
		
	}
	
	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {
		
		$this->hora_criacao = $hora_criacao;
		
	}
	
	/**
	 *
	 * @param mixed $operacao
	 */
	public function setOperacao($operacao) {
		
		$this->operacao = $operacao;
		
	}
	
	/**
	 *
	 * @param mixed $setor
	 */
	public function setSetor($setor) {
		
		$this->setor = $setor;
		
	}
	

}

